# $Revision: 1.21 $, $Date: 2009/10/02 08:28:50 $
Summary:	X.org video driver for Silicon Motion video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych Silicon Motion
Name:		xorg-driver-video-siliconmotion
Version:	1.7.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-siliconmotion-%{version}.tar.bz2
# Source0-md5:	29fb322cd3adab52cc7f1ac86f9315bb
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:  rpmbuild(macros) >= 1.389
%requires_xorg_xserver_videodrv
Requires:	xorg-xserver-server >= 1.0.99.901
Obsoletes:	X11-driver-siliconmotion < 1:7.0.0
Obsoletes:	XFree86-driver-siliconmotion < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Silicon Motion video chips. It supports PCI
and AGP video cards based on the following chips: Lynx (SM910), LynxE
(SM810), Lynx3D (SM820), LynxEM (SM710), LynxEM+ (SM712), Lynx3DM
(SM720), Cougar3DR (SM730).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych Silicon Motion.
Obsługuje karty PCI i AGP oparte na następujących układach: Lynx
(SM910), LynxE (SM810), Lynx3D (SM820), LynxEM (SM710), LynxEM+
(SM712), Lynx3DM (SM720), Cougar3DR (SM730).

%prep
%setup -q -n xf86-video-siliconmotion-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README Release.txt
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/siliconmotion_drv.so
%{_mandir}/man4/siliconmotion.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-siliconmotion.spec,v $
Revision 1.21  2009/10/02 08:28:50  arekm
- release 2

Revision 1.20  2009/09/20 06:19:27  arekm
- up to 1.7.3

Revision 1.19  2009/08/20 06:15:44  amateja
- updated to 1.7.2

Revision 1.18  2009/04/28 21:14:51  arekm
- up to 1.7.1

Revision 1.17  2009/02/25 21:41:07  arekm
- up to 1.7.0

Revision 1.16  2009/02/25 21:06:41  arekm
- release 4

Revision 1.15  2008/08/30 16:34:17  arekm
- release 3

Revision 1.14  2008/07/01 16:10:45  arekm
- release 2

Revision 1.13  2008-03-19 19:48:44  arekm
- up to 1.6.0

Revision 1.12  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.11  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.10  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.9  2007/04/01 01:11:38  arekm
- up to 1.5.1

Revision 1.8  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.6  2006/10/17 14:58:08  qboosh
- updated to 1.4.2

Revision 1.5  2006/04/11 11:43:31  qboosh
- updated to 1.4.1

Revision 1.4  2006/01/09 13:24:31  qboosh
- 1.3.1.5 (X11R7.0 release)

Revision 1.3  2005/12/08 13:23:23  qboosh
- 1.3.1.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 15:40:32  qboosh
- 1.3.1.2 (X11R7.0-RC2)

Revision 1.1  2005/10/30 13:02:52  qboosh
- new
